KNOWLEDGE BASE

Error "This browser is incapable of supporting the Tableau JavaScript API" in Internet Explorer


Published: 17 Jun 2013
Last Modified Date: 20 Nov 2015

Issue

When using the Tableau JavaScript API, the following error might occur:
 
This browser is incapable of supporting Tableau JavaScript API.

Environment

  • Tableau Server 8.0 and later versions
  • Internet Explorer 8 and later versions

Resolution

Use one or more of the following troubleshooting steps in Internet Explorer 8:
  • Disable compatibility mode. For more information, see Fix site display problems with Compatibility View on Microsoft help.
  • If IIS is in use, enable JSON for IIS. For more information, see Some Problem with JSON at the Sencha forums.
  • Disable all add-ons. If an add-on is the cause, the script will start working after you disable the add-ons and restart Internet Explorer.
Note: multiple add-ons may be contributing to this issue. To help determine the conflicting add-ons, enable only one add-on and restart Internet Explorer. If the script fails after that add-on is enabled, it is one of the add-ons that disables JSON files.
  • Reset Internet Explorer security to the default settings. If the JSON file loads, then return each security setting to the previous level until you find the setting or settings that caused JSON to be disabled.

Cause

The browser is unable to run a JSON script or a POST.


 
Did this article resolve the issue?